#
#   COMPONENT_NAME: somx
#
#   ORIGINS: 27
#
#
#    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   @(#) 1.4 src/somples.nt/somk/c/tp/vac.mak, somples.somk, som3.0 12/15/96 17:42:13 [12/17/96 09:06:03]


# DISCLAIMER OF WARRANTIES.
# The following [enclosed] code is sample code created by IBM
# Corporation. This sample code is not part of any standard or IBM
# product and is provided to you solely for the purpose of assisting
# you in the development of your applications.  The code is provided
# "AS IS". IBM MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT
# NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE, REGARDING THE FUNCTION OR PERFORMANCE OF
# THIS CODE.  IBM shall not be liable for any damages arising out of
# your use of the sample code, even if they have been advised of the
# possibility of such damages.
#
# DISTRIBUTION.
# This sample code can be freely distributed, copied, altered, and
# incorporated into other software, provided that it bears the above
# Copyright notice and DISCLAIMER intact.
#
#  Makefile for building the tp sample with
#        VisualAge C++ - using nmake.
#
!include ..\..\..\vacmake.hd

# PRIVLDFLAGS=/OUT:tp.exe

EXEOBJS=main.obj helper.obj BLEP.OBJ BT.OBJ COLBLK.OBJ EP.OBJ FM.OBJ \
 FOOTER.OBJ HEADER.OBJ IPEP.OBJ LINK.OBJ LL.OBJ PAGE.OBJ \
 SUEP.OBJ TEXTLINE.OBJ TPWORD.OBJ TXTEP.OBJ WORD.OBJ

IDL_H=BLEP.H BT.H COLBLK.H EP.H FM.H \
 FOOTER.H HEADER.H IPEP.H LINK.H LL.H PAGE.H \
 SUEP.H TEXTLINE.H TPWORD.H TXTEP.H WORD.H

IDL_IH=$(IDL_H:.H=.IH)

all: $(SOMCORBA_DEPEND) tp.exe

tp.exe : $(EXEOBJS) tp.dummy

# objs
main.obj : $(IDL_H) main.c
helper.obj : helper.h helper.c
blep.obj : blep.ih blep.h blep.c
bt.obj : bt.ih bt.h bt.c
colblk.obj : colblk.ih colblk.h colblk.c
ep.obj : ep.ih ep.h ep.c
fm.obj : fm.ih fm.h fm.c
footer.obj : footer.ih footer.h footer.c
header.obj : header.ih header.h header.c
ipep.obj : ipep.ih ipep.h ipep.c
link.obj : link.ih link.h link.c
ll.obj : ll.ih ll.h ll.c
page.obj : page.ih page.h page.c
suep.obj : suep.ih suep.h suep.c
textline.obj : textline.ih textline.h textline.c
tpword.obj : tpword.ih tpword.h tpword.c
txtep.obj : txtep.ih txtep.h txtep.c
word.obj : word.ih word.h word.c

# ih
blep.ih : blep.idl
bt.ih : bt.idl
colblk.ih : colblk.idl
ep.ih : ep.idl
fm.ih : fm.idl
footer.ih : footer.idl
header.ih : header.idl
ipep.ih : ipep.idl
link.ih : link.idl
ll.ih : ll.idl
page.ih : page.idl
suep.ih : suep.idl
textline.ih : textline.idl
tpword.ih : tpword.idl
txtep.ih : txtep.idl
word.ih : word.idl

# h
blep.h : blep.idl
bt.h : bt.idl
colblk.h : colblk.idl
ep.h : ep.idl
fm.h : fm.idl
footer.h : footer.idl
header.h : header.idl
ipep.h : ipep.idl
link.h : link.idl
ll.h : ll.idl
page.h : page.idl
suep.h : suep.idl
textline.h : textline.idl
tpword.h : tpword.idl
txtep.h : txtep.idl
word.h : word.idl

clean:
	-del BLEP.H 
	-del BT.H 
	-del COLBLK.H 
	-del EP.H 
	-del FM.H
	-del FOOTER.H 
	-del HEADER.H 
	-del IPEP.H 
	-del LINK.H 
	-del LL.H 
	-del PAGE.H
	-del SUEP.H 
	-del TEXTLINE.H 
	-del TPWORD.H 
	-del TXTEP.H 
	-del WORD.H
	-del *.ih

!include ..\..\..\vacmake.tl
